# H501_AccessConfirmation Class Reference

`#include <h501.h>`

Inheritance diagram for H501_AccessConfirmation:

List of all members.

## Public Types

enum | OptionalFields { e_supportedProtocols, e_serviceControl }

## Public Member Functions

| H501_AccessConfirmation (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_ArrayOf_AddressTemplate | m_templates
PASN_Boolean | m_partialResponse
H501_ArrayOf_SupportedProtocols | m_supportedProtocols
H501_ArrayOf_ServiceControlSession | m_serviceControl

## Member Enumeration Documentation

enum H501_AccessConfirmation::OptionalFields

Enumerator:

  e_supportedProtocols |
  e_serviceControl |

## Constructor & Destructor Documentation

H501_AccessConfirmation::H501_AccessConfirmation | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_AccessConfirmation::GetDataLength | ( |  | ) | const

PBoolean H501_AccessConfirmation::Decode | ( | PASN_Stream & | strm | ) |

void H501_AccessConfirmation::Encode | ( | PASN_Stream & | strm | ) | const

void H501_AccessConfirmation::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_AccessConfirmation::Compare | ( | const PObject & | obj | ) | const

PObject* H501_AccessConfirmation::Clone | ( |  | ) | const

## Member Data Documentation

H501_ArrayOf_AddressTemplate H501_AccessConfirmation::m_templates

PASN_Boolean H501_AccessConfirmation::m_partialResponse

H501_ArrayOf_SupportedProtocols H501_AccessConfirmation::m_supportedProtocols

H501_ArrayOf_ServiceControlSession H501_AccessConfirmation::m_serviceControl

The documentation for this class was generated from the following file:

- h501.h